/*********************************************************************
 *
 *  Headers for Vending Machine Example Application
 *
 *********************************************************************
 * FileName:        VendingMachine.h
 * Dependencies:    None
 * Processor:       PIC18, PIC24F, PIC24H, dsPIC30F, dsPIC33F, PIC32
 * Compiler:        Microchip C18 v3.20 or higher
 *					Microchip C30 v3.10 or higher
 *					Microchip C32 v1.02 or higher
 * Company:         Microchip Technology, Inc.
 *
 * Software License Agreement
 *
 * Copyright (C) 2002-2008 Microchip Technology Inc.  All rights 
 * reserved.
 *
 * Microchip licenses to you the right to use, modify, copy, and 
 * distribute: 
 * (i)  the Software when embedded on a Microchip microcontroller or 
 *      digital signal controller product ("Device") which is 
 *      integrated into Licensee's product; or
 * (ii) ONLY the Software driver source files ENC28J60.c and 
 *      ENC28J60.h ported to a non-Microchip device used in 
 *      conjunction with a Microchip ethernet controller for the 
 *      sole purpose of interfacing with the ethernet controller. 
 *
 * You should refer to the license agreement accompanying this 
 * Software for additional information regarding your rights and 
 * obligations.
 *
 * THE SOFTWARE AND DOCUMENTATION ARE PROVIDED "AS IS" WITHOUT 
 * WARRANTY OF ANY KIND, EITHER EXPRESS OR IMPLIED, INCLUDING WITHOUT 
 * LIMITATION, ANY WARRANTY OF MERCHANTABILITY, FITNESS FOR A 
 * PARTICULAR PURPOSE, TITLE AND NON-INFRINGEMENT. IN NO EVENT SHALL 
 * MICROCHIP BE LIABLE FOR ANY INCIDENTAL, SPECIAL, INDIRECT OR 
 * CONSEQUENTIAL DAMAGES, LOST PROFITS OR LOST DATA, COST OF 
 * PROCUREMENT OF SUBSTITUTE GOODS, TECHNOLOGY OR SERVICES, ANY CLAIMS 
 * BY THIRD PARTIES (INCLUDING BUT NOT LIMITED TO ANY DEFENSE 
 * THEREOF), ANY CLAIMS FOR INDEMNITY OR CONTRIBUTION, OR OTHER 
 * SIMILAR COSTS, WHETHER ASSERTED ON THE BASIS OF CONTRACT, TORT 
 * (INCLUDING NEGLIGENCE), BREACH OF WARRANTY, OR OTHERWISE.
 *
 *
 * Author               Date    Comment
 *~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
 * Elliott Wood     	2/12/08	Original
 * Elliott Wood			7/09/08	Updated for COM4201 1.10
 ********************************************************************/
#ifndef __VENDINGMACHINE_H
#define __VENDINGMACHINE_H


/****************************************************************************
  Section:
  	Required Headers
  ***************************************************************************/
//<----LAB3 Step 4---> Comment out the existing *.h files, INCLUDE TCPIP Stack/TCPIP.h
/*#include "Compiler.h"
#include "GenericTypeDefs.h"
#include "HardwareProfile.h"
#include "Delay.h"
#include "LCDBlocking.h"*/
#include "TCPIP Stack/TCPIP.h"


/****************************************************************************
  Section:
	Vending Machine Constants, Data Types, and Functions
  ***************************************************************************/

#define MAX_PRODUCTS		7

typedef struct _VEND_ITEM
{
	BYTE name[11];
	BYTE stock;
	BYTE price;
} VEND_ITEM;

extern VEND_ITEM	Products[MAX_PRODUCTS];		// All items in the machine
extern BYTE			machineDesc[33];			// Machine description string

void InitializeVend(void);
void VendingMachine(void);


#endif
